source ./bin/utils/functions.sh
source .env
source webservice_running/handlers/config.env

(
  cd webservice_running/handlers
  python -m venv .venv
  source .venv/bin/activate
  pip install -r requirements.txt
)

echo_warning "Installation handlers"

echo_warning "Recreating sharix.service"
\cp conf/handler@.service.example conf/handler@.service
sed -i "s|WORKING_DIRECTORY|$(pwd)|g" conf/handler@.service
echo_success "Recreated sharix.service"

echo_warning "Copying handler@.service to /etc/systemd/system/ folder"
\cp conf/handler@.service /etc/systemd/system/handler@.service
echo_success "Copied handler@.service to /etc/systemd/system/ folder"

echo_warning "Reloading systemd daemon"
systemctl daemon-reload
echo_success "Reloaded systemd daemon"

for service in "${handlers[@]}"; do
  echo "Enabling handler@${service}.service"
  systemctl enable handler@"${service}".service
done

echo_warning "Reloading systemd daemon"
systemctl daemon-reload
echo_success "Reloaded systemd daemon"
