from dotenv import load_dotenv
import os

load_dotenv()

########
#
# Django
#
########

DEBUG = os.getenv("DEBUG")
SECRET_KEY = os.getenv("SECRET_KEY")
CSRF_TRUSTED_ORIGINS = os.getenv("CSRF_TRUSTED_ORIGINS").split(',')
ALLOWED_HOSTS = os.getenv("ALLOWED_HOSTS").split(',')
INTERNAL_IPS = os.getenv("INTERNAL_IPS").split(',')
NAME_SYSTEM = os.getenv("NAME_SYSTEM")
API_URL = os.getenv("API_URL")

########
#
# Database
#
########

DB_NAME = os.getenv("DB_NAME")
DB_USER = os.getenv("DB_USER")
DB_PASSWORD = os.getenv("DB_PASSWORD")
DB_HOST = os.getenv("DB_HOST")
DB_PORT = os.getenv("DB_PORT")

########
#
# Email
#
########

EMAIL_HOST = os.getenv("EMAIL_HOST")
EMAIL_PORT = os.getenv("EMAIL_PORT")
EMAIL_USE_TLS = os.getenv("EMAIL_USE_TLS")
EMAIL_HOST_USER = os.getenv("EMAIL_HOST_USER")
EMAIL_HOST_PASSWORD = os.getenv("EMAIL_HOST_PASSWORD")
DEFAULT_FROM_EMAIL = os.getenv("DEFAULT_FROM_EMAIL")

########
#
# Gunicorn
#
########

BIND = os.getenv("BIND")

########
#
# ejabber
#
########

EJ_PROTOCOL = os.getenv("EJ_PROTOCOL")
EJ_IP = os.getenv("EJ_IP")
EJ_PORT = os.getenv("EJ_PORT")
EJ_URL = EJ_PROTOCOL + "://" + EJ_IP + ":" + EJ_PORT + "/" + "api/"
EJ_SERVICE = os.getenv("EJ_SERVICE")
EJ_HOST = os.getenv("EJ_HOST")

########
#
# ejabber
#
########

METASERVICE_NAME = os.getenv("METASERVICE_NAME")
METASERVICE_ID = os.getenv("METASERVICE_ID")
